Subject: Re: [PATCH v2 2/2] t0028: add more tests

From: Alexandr Miloslavskiy <[email-masked]>
Date: Tue, 24 Sep 2019 12:03:54 +0200

On 24.09.2019 6:06, Torsten Bögershausen wrote:
> Would this make more sense:
> After I discovered that UTF-16-LE-BOM test was bugged,
> I decided that better tests are required

OK

 > Looking at the other test cases, should utf-8 be written as UTF-8
 > for consistency ?

OK

 > General remark:
 > Do we need the {} here?
 > ${encoding} could be simpler written as $encoding

 > More a style-nit: could we simply write like this:
 > printf $expect_bytes > $test_file.raw &&
 > test_cmp_bin $test_file.raw $test_file

This is pretty much my first experience with test framework
(and maybe third with shell scripts...). I will change as suggested.